Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlcp.wlng.spi.subscriberdata
Class SubscriberContract

    java.lang.Object
      com.bea.wlcp.wlng.spi.subscriberdata.SubscriberContract

public class SubscriberContract
extends Object

A SubscriberContract is a 'rate' and/or 'quota' restriciton for a given URI within a given ServiceClass until the specified expiration Date The subscriber contract supports rate and quota limits. It does not support contract overrides or guarantee limits.

  Copyright © 2008 Oracle Corporation Systems, Inc. All Rights Reserved.

Constructor Summary
`SubscriberContract(URI subscriberAddress, ServiceClassType serviceClass, Date expiration)`
`SubscriberContract(URI subscriberAddress, ServiceClassType serviceClass, Rate rateRestriction, Quota quotaRestriction, Date expiration)`
`SubscriberContract(URI subscriberAddress, ServiceClassType serviceClass, RestrictAllType restrictAll, Date expiration)`

Method Summary
`Date` | `getExpiration()`
`Quota` | `getQuotaRestriction()`
`Rate` | `getRateRestriction()`
`RestrictAllType` | `getRestrictAll()`
`ServiceClassType` | `getServiceClass()`
`URI` | `getSubscriberAddress()`
`void` | `setExpiration(Date expiration)`
`void` | `setQuotaRestriction(Quota quotaRestriction)`
`void` | `setRateRestriction(Rate rateRestriction)`
`void` | `setRestrictAll(RestrictAllType restrictAll)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SubscriberContract

    public SubscriberContract(URI subscriberAddress,
                              ServiceClassType serviceClass,
                              Date expiration)
                       throws InvalidSubscriberContractException

### SubscriberContract

    public SubscriberContract(URI subscriberAddress,
                              ServiceClassType serviceClass,
                              Rate rateRestriction,
                              Quota quotaRestriction,
                              Date expiration)
                       throws InvalidSubscriberContractException

### SubscriberContract

    public SubscriberContract(URI subscriberAddress,
                              ServiceClassType serviceClass,
                              RestrictAllType restrictAll,
                              Date expiration)
                       throws InvalidSubscriberContractException

Method Detail

### getExpiration

    public Date getExpiration()

### getQuotaRestriction

    public Quota getQuotaRestriction()

### getRateRestriction

    public Rate getRateRestriction()

### getRestrictAll

    public RestrictAllType getRestrictAll()

### getServiceClass

    public ServiceClassType getServiceClass()

### getSubscriberAddress

    public URI getSubscriberAddress()

### setExpiration

    public void setExpiration(Date expiration)

### setQuotaRestriction

    public void setQuotaRestriction(Quota quotaRestriction)

### setRateRestriction

    public void setRateRestriction(Rate rateRestriction)

### setRestrictAll

    public void setRestrictAll(RestrictAllType restrictAll)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD